<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE urlrewrite
    PUBLIC "-//tuckey.org//DTD UrlRewrite 3.0//EN"
    "http://tuckey.org/res/dtds/urlrewrite3.0.dtd">

<urlrewrite>

  <!-- アカウント -->
  <rule>
    <!-- パスワード再発行画面 -->
    <from>account/passwordReissue/([0-9a-z]+)\.html</from>
    <to>account/passwordReissueCommit.html?key=$1</to>
  </rule>

  <!-- ブログ -->
  <rule>
    <!-- ブログ記事一覧画面 -->
    <from>blog/([0-9a-z]+)/index\.html</from>
    <to>blog/view.html?code=$1</to>
  </rule>
  <rule>
    <!-- ブログ記事一覧 RSS -->
    <from>blog/([0-9a-z]+)/index\.xml</from>
    <to>blog/view.xml?code=$1</to>
  </rule>
  <rule>
    <!-- ブログ全記事一覧画面 -->
    <from>blog/([0-9a-z]+)/indexAll\.html</from>
    <to>blog/entryIndex.html?code=$1</to>
  </rule>
  <rule>
    <!-- ブログ概要編集画面 -->
    <from>blog/([0-9a-z]+)/update\.html</from>
    <to>blog/update.html?blogCode=$1</to>
  </rule>
  <rule>
    <!-- ブログ記事投稿画面 -->
    <from>blog/([0-9a-z]+)/post\.html</from>
    <to>blog/entryCreate.html?blogCode=$1</to>
  </rule>
  <rule>
    <!-- ブログ記事参照画面 -->
    <from>blog/([0-9a-z]+)/entry-([0-9a-z]+)\.html</from>
    <to>blog/entryView.html?blogCode=$1&amp;entryCode=$2</to>
  </rule>
  <rule>
    <!-- ブログ記事編集画面 -->
    <from>blog/([0-9a-z]+)/entry-([0-9a-z]+)/update\.html</from>
    <to>blog/entryUpdate.html?blogCode=$1&amp;entryCode=$2</to>
  </rule>

  <!-- コミュニティ -->
  <rule>
    <!-- コミュニティトップ画面 -->
    <!-- * 記事の一覧画面（シングルスレッドコミュニティ） -->
    <!-- * スレッドの一覧画面（マルチスレッドコミュニティ） -->
    <from>community/([0-9a-z]+)/index\.html</from>
    <to>community/view.html?code=$1</to>
  </rule>
  <rule>
    <!-- コミュニティトップ RSS -->
    <!-- * 記事の一覧画面（シングルスレッドコミュニティ） -->
    <!-- * スレッドの一覧画面（マルチスレッドコミュニティ） -->
    <from>community/([0-9a-z]+)/index\.xml</from>
    <to>community/view.xml?code=$1</to>
  </rule>
  <rule>
    <!-- コミュニティ概要編集画面 -->
    <from>community/([0-9a-z]+)/update\.html</from>
    <to>community/update.html?communityCode=$1</to>
  </rule>
  <rule>
    <!-- スレッド作成画面（マルチスレッドコミュニティ） -->
    <from>community/([0-9a-z]+)/create\.html</from>
    <to>community/threadForm.html?communityCode=$1</to>
  </rule>
  <rule>
    <!-- スレッド更新画面（マルチスレッドコミュニティ） -->
    <from>community/([0-9a-z]+)/([0-9]+)/update\.html</from>
    <to>community/threadForm.html?communityCode=$1&amp;threadId=$2</to>
  </rule>
  <rule>
    <!-- 記事の一覧画面（マルチスレッドコミュニティ） -->
    <from>community/([0-9a-z]+)/([0-9]+)/index\.html</from>
    <to>community/threadView.html?communityCode=$1&amp;threadId=$2</to>
  </rule>
  <rule>
    <!-- 記事の一覧 RSS （マルチスレッドコミュニティ） -->
    <from>community/([0-9a-z]+)/([0-9]+)/index\.xml</from>
    <to>community/threadView.xml?communityCode=$1&amp;threadId=$2</to>
  </rule>
  <rule>
    <!-- 記事の投稿画面（シングルスレッドコミュニティ） -->
    <from>community/([0-9a-z]+)/post\.html</from>
    <to>community/entryCreate.html?communityCode=$1</to>
  </rule>
  <rule>
    <!-- 記事の投稿画面（マルチスレッドコミュニティ） -->
    <from>community/([0-9a-z]+)/([0-9])/post\.html</from>
    <to>community/entryCreate.html?communityCode=$1&amp;threadId=$2</to>
  </rule>
  <rule>
    <!-- 記事の参照画面（シングルスレッドコミュニティ） -->
    <from>community/([0-9a-z]+)/entry-([0-9a-z]+)\.html</from>
    <to>community/entryView.html?communityCode=$1&amp;entryCode=$2</to>
  </rule>
  <rule>
    <!-- 記事の参照画面（マルチスレッドコミュニティ） -->
    <from>community/([0-9a-z]+)/([0-9])/entry-([0-9a-z]+)\.html</from>
    <to>community/entryView.html?communityCode=$1&amp;threadId=$2&amp;entryCode=$3</to>
  </rule>

  <!-- メール -->
  <rule>
    <!-- メール参照画面 -->
    <from>mail/([0-9a-z]+)/index\.html</from>
    <to>mail/viewAndReply.html?code=$1</to>
  </rule>

  <!-- プロフィール -->
  <rule>
    <!-- プロフィール参照画面 -->
    <from>profile/([0-9a-z]+)/index\.html</from>
    <to>profile/view.html?userCode=$1</to>
  </rule>
</urlrewrite>
